Skip to content
API Reference

Service Accounts

Create
organizations.service_accounts.create(strorganization_id, ServiceAccountCreateParams**kwargs) -> ServiceAccount
POST/organizations/{organization_id}/service-accounts
List
organizations.service_accounts.list(strorganization_id, ServiceAccountListParams**kwargs) -> ServiceAccountListResponse
GET/organizations/{organization_id}/service-accounts
Retrieve
organizations.service_accounts.retrieve(strservice_account_id, ServiceAccountRetrieveParams**kwargs) -> ServiceAccount
GET/organizations/{organization_id}/service-accounts/{service_account_id}
Update
organizations.service_accounts.update(strservice_account_id, ServiceAccountUpdateParams**kwargs) -> ServiceAccount
PATCH/organizations/{organization_id}/service-accounts/{service_account_id}
Delete
organizations.service_accounts.delete(strservice_account_id, ServiceAccountDeleteParams**kwargs)
DELETE/organizations/{organization_id}/service-accounts/{service_account_id}
ModelsExpand Collapse
class ServiceAccount:
id: str

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
created_at: datetime

The time the entity was created in utc

formatdate-time
name: str

A name for the entity to be displayed in UI

updated_at: datetime

The time the entity was mostly recently updated in utc

formatdate-time
description: Optional[str]

Optional description of the service account

permissions: Optional[Dict[str, Dict[str, bool]]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Service AccountsCredentials

Create
organizations.service_accounts.credentials.create(strservice_account_id, CredentialCreateParams**kwargs) -> CredentialCreateResponse
POST/organizations/{organization_id}/service-accounts/{service_account_id}/credentials
List
organizations.service_accounts.credentials.list(strservice_account_id, CredentialListParams**kwargs) -> CredentialListResponse
GET/organizations/{organization_id}/service-accounts/{service_account_id}/credentials
Retrieve
organizations.service_accounts.credentials.retrieve(strcredential_id, CredentialRetrieveParams**kwargs) -> ServiceAccountCredential
GET/organizations/{organization_id}/service-accounts/{service_account_id}/credentials/{credential_id}
Update
organizations.service_accounts.credentials.update(strcredential_id, CredentialUpdateParams**kwargs) -> ServiceAccountCredential
PATCH/organizations/{organization_id}/service-accounts/{service_account_id}/credentials/{credential_id}
Delete
organizations.service_accounts.credentials.delete(strcredential_id, CredentialDeleteParams**kwargs)
DELETE/organizations/{organization_id}/service-accounts/{service_account_id}/credentials/{credential_id}
ModelsExpand Collapse
class ServiceAccountCredential:

Service account credential (without secret)

id: str

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
client_id: str

The client ID for authentication

created_at: datetime

The time the entity was created in utc

formatdate-time
name: str

A name for the entity to be displayed in UI

description: Optional[str]

Optional description of the credential

last_used_at: Optional[datetime]

When the credential was last used

formatdate-time
permissions: Optional[Dict[str, Dict[str, bool]]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.